## gimp-plugin-bimp 1.18+git144

=== Makefile ===
GIMPARGS = $(shell gimptool-2.0 --cflags --libs)
PCREARGS = $(shell pcre-config --cflags --libs)
SYSTEM_INSTALL_DIR = $(shell gimptool-2.0 --dry-run --install-admin-bin ./bin/bimp | sed 's/cp \S* \(\S*\)/\1/')
USER_INSTALL_DIR = $(shell gimptool-2.0 --dry-run --install-bin ./bin/bimp | sed 's/cp \S* \(\S*\)/\1/')

make: 
	which gimptool-2.0 && which pcre-config && \
	gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses src/*.c src/manipulation-gui/*.c $(GIMPARGS) $(PCREARGS) -lm -DGIMP_DISABLE_DEPRECATED
	
install: 
	mkdir -p "$(USER_INSTALL_DIR)"
	gimptool-2.0 --install-bin ./bin/bimp
	cp -Rf ./bimp-locale/ "$(USER_INSTALL_DIR)"
	
uninstall: 
	gimptool-2.0 --uninstall-bin bimp
	rm -R $(USER_INSTALL_DIR)/bimp-locale

install-admin:
	mkdir -p "$(SYSTEM_INSTALL_DIR)"
	gimptool-2.0 --install-admin-bin ./bin/bimp
	cp -Rf ./bimp-locale/ "$(SYSTEM_INSTALL_DIR)"

uninstall-admin:
	gimptool-2.0 --uninstall-admin-bin bimp
	rm -R $(SYSTEM_INSTALL_DIR)/bimp-locale

clean:
	rm ./bin/bimp
	
all:
	make

## gimp-plugin-bimp 1.18+git139-ca8ae49

=== debian/changelog ===
gimp-plugin-bimp (1.18+git139-ca8ae49-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Apr 2017 14:11:51 -0700

gimp-plugin-bimp (1.18+git139-ca8ae49-1ppa1~trusty1) trusty; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 23 Jan 2017 17:50:50 +0300

gimp-plugin-bimp (1.18+git139-ca8ae49-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/alessandrofrancesconi/gimp-plugin-bimp.git
  * Branch: master
  * Commit: ca8ae49ff1f3fa1aeecfd41fa5f91b652ce50135
  * Date: 1485010858
  * git changelog:
  *  ca8ae49 - Updated changelog
  *  3247d8a - Pushed to 1.18
  *  7ae7074 - Better handling on installer errors

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Jan 2017 13:03:08 +0300

gimp-plugin-bimp (1.17+git136-27cd6ec-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/alessandrofrancesconi/gimp-plugin-bimp.git
  * Branch: master
  * Commit: 27cd6ec6ef4d62347f94f8e1839f69a7534d1920
  * Date: 1479720358

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 10 Jan 2017 21:48:12 +0300

gimp-plugin-bimp (1.17-1) unstable; urgency=low

  * Initial release (Closes: #123456)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 10 Jan 2017 21:08:41 +0300

=== debian/control ===
Source: gimp-plugin-bimp
Priority: optional
Section: graphics
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9), libgimp2.0-dev
Standards-Version: 3.9.8
Homepage: http://www.alessandrofrancesconi.it/projects/bimp/

Package: gimp-plugin-bimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin for The GIMP for batch manipulations on groups of images
 BIMP is a graphical batch plugin to apply a set of GIMP manipulations 
 on groups of images.
 .
 You can use predefined manipulations like resize, crop, flip, rotate, 
 color correction, sharpen, watermark, format conversion, rename, but 
 you can also select other installed plugins or script-fu and apply them 
 to each image.

## gimp-plugin-bimp 1.18+git144-1f063f3

=== debian/changelog ===
gimp-plugin-bimp (1.18+git144-1f063f3-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Aug 2018 12:41:34 -0700

gimp-plugin-bimp (1.18+git144-1f063f3-1ppa1~xenial1) xenial; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 19 Mar 2018 18:51:18 +0300

gimp-plugin-bimp (1.18+git144-1f063f3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/alessandrofrancesconi/gimp-plugin-bimp.git
  * Branch: master
  * Commit: 1f063f39d5544f9de2016f00ef5f85bfdee91353
  * Date: 1520841790
  * git changelog:

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 19 Mar 2018 18:51:11 +0300

gimp-plugin-bimp (1.18+git142-d97fad2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/alessandrofrancesconi/gimp-plugin-bimp.git
  * Branch: master
  * Commit: d97fad2c2957d17ea9918997a83ef0132916e5d4
  * Date: 1493571477
  * git changelog:
  *  d97fad2 - Moved Win32 uninstaller to another location (solves #140)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Oct 2017 22:10:49 +0300

gimp-plugin-bimp (1.18+git141-a944322-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/alessandrofrancesconi/gimp-plugin-bimp.git
  * Branch: master
  * Commit: a944322b94371ffac963c22783af42a082ad2da6
  * Date: 1490311171
  * git changelog:
  *  a944322 - Merge pull request #139 from FreedomBen/add-fedora-to-
    readme
  *  d30727f - Add Fedora instructions to README.md

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 26 Mar 2017 14:10:36 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Section: graphics
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
 Build-Depends: debhelper (>= 9), libgimp2.0-dev
 Standards-Version: 3.9.8
@@ -11,7 +10,7 @@
 Package: gimp-plugin-bimp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: plugin for The GIMP for batch manipulations on groups of images
+Description: plugin for The GIMP to manipulations on groups of images
  BIMP is a graphical batch plugin to apply a set of GIMP manipulations 
  on groups of images.
  .

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel


override_dh_auto_clean:
	dh_testroot
	[ ! -f bin/bimp ] || rm bin/bimp

## gimp-plugin-bimp 2.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,12 @@
 
 make: 
 	which gimptool-2.0 && which pcre-config && \
-	gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses src/*.c src/manipulation-gui/*.c $(GIMPARGS) $(PCREARGS) -lm -DGIMP_DISABLE_DEPRECATED
-	
+	gcc -o ./bin/bimp -Wall -O2 -Wno-unused-variable -Wno-pointer-sign src/*.c src/manipulation-gui/*.c src/images/*.c $(GIMPARGS) $(PCREARGS) -lm -DGIMP_DISABLE_DEPRECATED
+
+makewin: 
+	which gimptool-2.0 && which pcre-config && \
+	gcc -mwindows -o ./bin/win32/bimp -Wall -Wno-unused-variable -Wno-pointer-sign src/*.c src/manipulation-gui/*.c src/images/*.c $(GIMPARGS) $(PCREARGS) -lm -DGIMP_DISABLE_DEPRECATED
+		
 install: 
 	mkdir -p "$(USER_INSTALL_DIR)"
 	gimptool-2.0 --install-bin ./bin/bimp

=== debian/changelog ===
gimp-plugin-bimp (2.0-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release.
  * Update debian/copyright.
  * Bump minimum version of libgimp2.0-dev B-D to 2.10.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jul 2019 15:16:59 -0700

gimp-plugin-bimp (1.18+git139-ca8ae49-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Oct 2017 11:19:01 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Priority: optional
 Section: graphics
 Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Build-Depends: debhelper (>= 9), libgimp2.0-dev
+Build-Depends: debhelper (>= 9),
+               libgimp2.0-dev (>= 2.10),
 Standards-Version: 3.9.8
 Homepage: http://www.alessandrofrancesconi.it/projects/bimp/
 
 Package: gimp-plugin-bimp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: plugin for The GIMP to manipulations on groups of images
+Description: plugin for The GIMP for batch manipulations on groups of images
  BIMP is a graphical batch plugin to apply a set of GIMP manipulations 
  on groups of images.
  .
